petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecScatterPetscToFFTW

Copies the PETSc vector to the vector that goes into FFTW block.

### Synopsis

    #include "petscmat.h"
    #include "petscvec.h"
    PetscErrorCode VecScatterPetscToFFTW(Mat A,Vec x,Vec y)

Collective on Mat

### Input Parameters

| A | - FFTW matrix
| x | - the PETSc vector

### Output Parameters

y -the FFTW vector

### Options Database Keys

-mat_fftw_plannerflags -set FFTW planner flags

Note: For real parallel FFT, FFTW requires insertion of extra space at the end of last dimension. This required even when one is not doing in-place transform. The last dimension size must be changed to 2*(dim[last]/2+1) to accommodate these extra zeros. This routine does that job by scattering operation.

### See Also

VecScatterFFTWToPetsc()

Level:intermediate
Location:src/mat/impls/fft/fftw/fftw.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages